# Uses of Interface
org.eclipse.ecf.filetransfer.IIncomingFileTransferRequestListener

Packages that use IIncomingFileTransferRequestListener
Package
Description
org.eclipse.ecf.filetransfer
org.eclipse.ecf.provider.filetransfer.outgoing

## Uses of IIncomingFileTransferRequestListener in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer with parameters of type IIncomingFileTransferRequestListener
Modifier and Type
Method
Description
`void`
ISendFileTransferContainerAdapter.`addListener(IIncomingFileTransferRequestListener listener)`
Add incoming file transfer listener.
`boolean`
ISendFileTransferContainerAdapter.`removeListener(IIncomingFileTransferRequestListener listener)`
Remove incoming file transfer listener

## Uses of IIncomingFileTransferRequestListener in org.eclipse.ecf.provider.filetransfer.outgoing

Methods in org.eclipse.ecf.provider.filetransfer.outgoing with parameters of type IIncomingFileTransferRequestListener
Modifier and Type
Method
Description
`void`
AbstractOutgoingFileTransfer.`addListener(IIncomingFileTransferRequestListener l)`
`void`
MultiProtocolOutgoingAdapter.`addListener(IIncomingFileTransferRequestListener listener)`
`boolean`
AbstractOutgoingFileTransfer.`removeListener(IIncomingFileTransferRequestListener l)`
`boolean`
MultiProtocolOutgoingAdapter.`removeListener(IIncomingFileTransferRequestListener listener)`